Rückwärts updaten?!

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Rückwärts updaten?!

Postby oberdoerfer » 04. April 2005 11:56

Ich habe gerade XAMPP 1.3 update auf XAMPP Windows 1.4.12 gemacht und seit dem haben einige Probleme mit der Datenbank. Kann ich irgendwie vorherige Zustand wieder herstellen?! Oder muss ich irgendwas in meine DB einstellen?!

Vielen Dank

oberdoerfer
oberdoerfer
 
Posts: 9
Joined: 04. April 2005 11:50

Re: Rückwärts updaten?!

Postby Hanspeter Thöni » 04. April 2005 12:47

oberdoerfer wrote:Ich habe gerade XAMPP 1.3 update auf XAMPP Windows 1.4.12 gemacht und seit dem haben einige Probleme mit der Datenbank. Kann ich irgendwie vorherige Zustand wieder herstellen?! Oder muss ich irgendwas in meine DB einstellen?!
oberdoerfer


Aehm, wie äussern sich diese Probleme? Deine Meldung ist etwas vage...

Ich habe eine Vermutung. In der 1.4.12 ist (auch auf dem Lokalhost) kein Anonym-Login mehr möglich, bzw. der Anonyme User die benötigen Rechte nicht mehr.

Also entweder mit user 'root' an die DB anmelden, oder dann selber in der mysql dem anonymen Benutzer die benötigten Rechte erteilen.
Gruss Hanspeter
User avatar
Hanspeter Thöni
 
Posts: 233
Joined: 17. August 2004 10:29
Location: Schweiz

Postby oberdoerfer » 04. April 2005 13:21

Hallo,

zuerst wenn ich über http://localhost/xampp/index.php gehe, kriege ich schon ganze Reihe an Warnung in Menüleiste Demo, Tools

Bsp.:

Warning: main(navibasics.inc): failed to open stream: No such file or directory in C:\xampp\htdocs\xampp\navi.php on line 35

Warning: main(): Failed opening 'navibasics.inc' for inclusion (include_path='.;C:\xampp\php\pear\') in C:\xampp\htdocs\xampp\navi.php on line 35

Warning: main(naviperl.inc): failed to open stream: No such file or directory in C:\xampp\htdocs\xampp\navi.php on line 36

Warning: main(): Failed opening 'naviperl.inc' for inclusion (include_path='.;C:\xampp\php\pear\') in C:\xampp\htdocs\xampp\navi.php on line 36

Warning: main(navipython.inc): failed to open stream: No such file or directory in C:\xampp\htdocs\xampp\navi.php on line 37

Warning: main(): Failed opening 'navipython.inc' for inclusion (include_path='.;C:\xampp\php\pear\') in C:\xampp\htdocs\xampp\navi.php on line 37

Warning: main(navijava.inc): failed to open stream: No such file or directory in C:\xampp\htdocs\xampp\navi.php on line 38

Warning: main(): Failed opening 'navijava.inc' for inclusion (include_path='.;C:xampp\php\pear\') in C:\xampp\htdocs\xampp\navi.php on line 38





Wenn ich über phpMyAdmin auf meine DB zugreife funktioniert es, aber wenn ich meine Intranetanwendung zugreife bekomme ich eine Fehlermeldung:

Warning: mysql_num_rows(): supplied argument is not a valid MySQL result resource in C:\ \xampp\htdocs\BewSel1a.php on line 104

Sie sagen, dass man dem anonymen Benutzer die benötigten Rechte erteilen soll! Können Sie mir bitte kurz erklären wie man das macht?

Vielen Dank

oberdoerfer
oberdoerfer
 
Posts: 9
Joined: 04. April 2005 11:50

Postby deepsurfer » 04. April 2005 13:24

Hast du direkt von 1.4.3 auf 1.4.12 upgedatet ????

Wenn ja, dann ist das ein Fehler.... Immer Schrittweise die Updatefolgen durchgehen.


Wenn mich jetzt nicht alle guten Geister verlassen, sollte das einspielen der alten 1.4.3 erstmal wieder alls auf Normalanzeige setzen.
-- ich weise hiermit daraufhin das ich es nicht mit sicherheit sagen kann!! --
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby oberdoerfer » 04. April 2005 13:28

deepsurfer wrote:Hast du direkt von 1.4.3 auf 1.4.12 upgedatet ????

Wenn ja, dann ist das ein Fehler.... Immer Schrittweise die Updatefolgen durchgehen.


Wenn mich jetzt nicht alle guten Geister verlassen, sollte das einspielen der alten 1.4.3 erstmal wieder alls auf Normalanzeige setzen.
-- ich weise hiermit daraufhin das ich es nicht mit sicherheit sagen kann!! --



Und wie mache ich das?!
oberdoerfer
 
Posts: 9
Joined: 04. April 2005 11:50

Postby deepsurfer » 04. April 2005 13:29

Auf der Downloadpage von XAMPP ist ein LINK zu allen herausgebrachten XAMPPversionen vorhanden, dort findest du auch alle Update Version die du benötigst.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby oberdoerfer » 04. April 2005 13:36

deepsurfer wrote:Auf der Downloadpage von XAMPP ist ein LINK zu allen herausgebrachten XAMPPversionen vorhanden, dort findest du auch alle Update Version die du benötigst.


Ich finde diese Link nicht, kannst du mir bitte helfen?
oberdoerfer
 
Posts: 9
Joined: 04. April 2005 11:50

Postby deepsurfer » 04. April 2005 13:57

oberdoerfer wrote:Ich finde diese Link nicht, kannst du mir bitte helfen?



hhmm...obwohl er doch eindeutig beschrieben ist.
http://www.apachefriends.org/de/xampp-windows.html

Image

Der LINK führt dich hierhin:
http://sourceforge.net/project/showfile ... p_id=61776

Hier musst du einiges nach unten Scrollen und dran denken welche Version du als 1.4.3 benutzt hast ( zip / exe / installer )

equivalent dazu musst du aufwärst der Versionsnummer die weiteren UPGRADES downloaden.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Postby oberdoerfer » 04. April 2005 14:03

deepsurfer wrote:
oberdoerfer wrote:Ich finde diese Link nicht, kannst du mir bitte helfen?



hhmm...obwohl er doch eindeutig beschrieben ist.
http://www.apachefriends.org/de/xampp-windows.html

Image

Der LINK führt dich hierhin:
http://sourceforge.net/project/showfile ... p_id=61776

Hier musst du einiges nach unten Scrollen und dran denken welche Version du als 1.4.3 benutzt hast ( zip / exe / installer )

equivalent dazu musst du aufwärst der Versionsnummer die weiteren UPGRADES downloaden.


DANKE DIR!!
Das war sehr deutlich!!!

:lol:
oberdoerfer
 
Posts: 9
Joined: 04. April 2005 11:50


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 6 guests